VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::authentication::AuthenticationInfo Class Reference

The `AuthenticationInfo` class describes the authentication information. More...

List of all members.

## Classes
class | SchemeType
| The `AuthenticationInfo.SchemeType` enumerated type provides enumeration values for the set of valid authentication scheme types. More...
## Public Member Functions
| AuthenticationInfo ()
| Creates a default new instance.
vmware.vapi.metadata.authentication.AuthenticationInfo.SchemeType | GetSchemeType ()
| The type of the authentication scheme.
void | SetSchemeType (vmware.vapi.metadata.authentication.AuthenticationInfo.SchemeType schemeType)
| The type of the authentication scheme.
string | GetSessionManager ()
| In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods.
void | SetSessionManager (string sessionManager)
| In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods.
string | GetScheme ()
| String identifier of the authentication scheme.
void | SetScheme (string scheme)
| String identifier of the authentication scheme.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `AuthenticationInfo` class describes the authentication information.

Authentication information could be specified for a package element, service elenent or an operation element.

Using the authentication scheme information, a client invoking an API call from any interface can figure out what kind of credentials are needed for that API call.

## Constructor & Destructor Documentation

vmware::vapi::metadata::authentication::AuthenticationInfo::AuthenticationInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::authentication::AuthenticationInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::authentication::AuthenticationInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::authentication::AuthenticationInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::authentication::AuthenticationInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::authentication::AuthenticationInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::authentication::AuthenticationInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::authentication::AuthenticationInfo::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::authentication::AuthenticationInfo::GetScheme | ( |  | ) | `[inline]`

String identifier of the authentication scheme.

Following are the supported authentication schemes by the infrastructure:

- The identifier `com.vmware.vapi.std.security.saml_hok_token` for SAML holder of key token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.bearer_token` for SAML bearer token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.session_id` for session based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.user_pass` for username and password based authentication mechanism.

vmware.vapi.metadata.authentication.AuthenticationInfo.SchemeType vmware::vapi::metadata::authentication::AuthenticationInfo::GetSchemeType | ( |  | ) | `[inline]`

The type of the authentication scheme.

string vmware::vapi::metadata::authentication::AuthenticationInfo::GetSessionManager | ( |  | ) | `[inline]`

In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods.

The fully qualified interface name of the session manager is provided in AuthenticationInfo.sessionManager field. This interface is responsible for handling sessions.

void vmware::vapi::metadata::authentication::AuthenticationInfo::SetScheme | ( | string | scheme | ) | `[inline]`

String identifier of the authentication scheme.

Following are the supported authentication schemes by the infrastructure:

- The identifier `com.vmware.vapi.std.security.saml_hok_token` for SAML holder of key token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.bearer_token` for SAML bearer token based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.session_id` for session based authentication mechanism.
- The identifier `com.vmware.vapi.std.security.user_pass` for username and password based authentication mechanism.

void vmware::vapi::metadata::authentication::AuthenticationInfo::SetSchemeType | ( | vmware.vapi.metadata.authentication.AuthenticationInfo.SchemeType | schemeType | ) | `[inline]`

The type of the authentication scheme.

void vmware::vapi::metadata::authentication::AuthenticationInfo::SetSessionManager | ( | string | sessionManager | ) | `[inline]`

In a session aware authentication scheme, a session manager is required that supports `create` , `delete` and `keepAlive` methods.

The fully qualified interface name of the session manager is provided in AuthenticationInfo.sessionManager field. This interface is responsible for handling sessions.

override string vmware::vapi::metadata::authentication::AuthenticationInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- AuthenticationInfo.cs